Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Robert Pluim <[email-masked]>
Date: Mon, 24 Apr 2023 11:38:51 +0200

>>>>> On Mon, 24 Apr 2023 09:57:43 +0100, João Távora <[email-masked]> said:
    >> I use eglot on emacs-29, but have never installed it (and I never run
    >> emacs-28 any more :-))
    >> 

    João> Also noted. Eglot on Emacs 29 is generally the most stable version of it
    João> you can get. However is has less features. Expect the gap to grow with
    João> time. Some fringe LSP servers are also better supported on later versions.

There are too many things going on to attempt to keep up to date with
them all :-)

    João> If you never use package-install on Eglot, then there's even less reason to
    João> worry about my patch, which only affects Eglot.

    João> (Meaning, FTR, that we're still missing an account from at least one user
    João> who would be perturbed by my patch.)

    João> Robert, do you use package-install at all? On what packages?

Explicitly in my init file, no. The only package installation and
upgrading I do is via `list-packages', for the usual suspects like
magit and helm. And even that I do reluctantly, since something always
seems to break.

Robert
--